<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/video/bloc/bloc_vid2.php               */
/*                                                          */
/* Module de Video                                          */
/* Version 1.0                                              */
/* Auteur Oim                                               */
/************************************************************/

	global $language, $cookie, $user, $Default_Theme, $NPDS_Prefix;

	$ModPath = 'video';
	$ModStart = 'video';

	/*Debut Retro compatibilité SABLE*/
	if (!function_exists('sql_connect'))
	{

		include ('modules/'.$ModPath.'/retro-compat/mysql.php');

	}
	/*Fin Retro compatibilité SABLE*/

	if (file_exists('modules/'.$ModPath.'/bloc/lang/'.$language.'.php'))
	{

		include_once('modules/'.$ModPath.'/bloc/lang/'.$language.'.php');

	}
	else
	{

		include_once('modules/'.$ModPath.'/bloc/lang/french.php');

	}

	/*Affiche css suivant theme*/
	if (isset($user))
	{

		echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_bloc.css" />';

	}
	else
	{

		echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_bloc.css" />';

	}

	$top = 5;

	/*Requete affiche X derniere video*/
	$result = sql_query("SELECT id, pseudo, titre, minia, counter FROM ".$NPDS_Prefix."video WHERE en_ligne = '1' AND acces = '2' ORDER BY id DESC LIMIT 0,$top");
	$total = sql_num_rows($result);
	if ($total > 0)
	{

		/*permet denlever lappel du bloc*/
		$content = '';

		while (list($id, $pseudo, $titre, $minia, $counter) = sql_fetch_row($result))
		{

			/*Requete nbre commentaire suivant $id*/
			$com = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."video_com WHERE id_vid = '$id'"));

			$titre = stripslashes(aff_langue($titre));

			$getbvid2 = rawurlencode(encrypt('modules/'.$ModPath.'/membre/'.$pseudo.'/'));
			$bvibid2 = rawurlencode(encrypt(rawurldecode($getbvid2)."#fma#".encrypt("$minia")));

			$content .= '<table width="top" align="center" border="0" cellpadding="0" cellspacing="0">'
			.'<tr>'
			.'<td align="center">'.$titre.'</td>'
			.'</tr>'

			.'<tr>'
			.'<td align="center" id="vid_gall"><a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=video&amp;subop=voir&amp;id='.$id.'">';

			if ($minia)
			{

				$content .= '<img src="getfile.php?att_id='.$bvibid2.'&amp;apli=f-manager" width="100px" height="100px" border="0" /></a>';

			}
			else
			{

				$content .= '<img src="modules/'.$ModPath.'/images/neutre.jpg" width="100px" height="100px" border="0" /></a>';

			}

			$content .= '</a></td>'
			.'</tr>'

			.'<tr>'
			.'<td align="center">';

			/*Requete affiche vote suivant $id*/
			$sql = sql_query("SELECT id, rating FROM ".$prefix."video_vot WHERE id_vid = $id");
			$count = sql_num_rows($sql);
			if ($count != 0)
			{

				while (@list($id, $rating) = @sql_fetch_row($sql))
				{

					$total = $rating / $count;
					$note = round($total, 0);

				}

				for ($i = 1;$i <= $note;$i += 1)
				{

					$content .= '<img style="border: 0;" src="modules/'.$ModPath.'/images/Mstar.gif" alt="" title="'.$note.'/10" />'; $n++;

				}

				for ($z = $n;$z < 10;$z++)
				{

					$content .= '<img style="border: 0;" src="modules/'.$ModPath.'/images/Mstar3.gif" alt="" title="'.$note.'/10" />';
				}

			}

			$content .= '<br /><i>'.bloc_video_trad('Vues').'&nbsp;:&nbsp;'.$counter.'&nbsp;'.bloc_video_trad('Com').'&nbsp;:&nbsp;'.$com.'</i></td>'
			.'</tr>'
			.'</table><hr width="70%" />';

		}

	}
	else
	{

		$content = '<div style="padding-left:5px;"><img width="6" height="6" src="modules/upload/upload/!divers/puce_bleue.gif" />&nbsp;<a href="modules.php?ModPath='.$ModPath.'&amp;ModStart='.$ModStart.'">'.bloc_video_trad('Aucune').'</a></div>';

	}

	$content .= '<div align="center"><a href="modules.php?ModPath='.$ModPath.'&amp;ModStart='.$ModStart.'">'.bloc_video_trad('Toutes les vid&eacute;os').'</a></div>';

?>