<?
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* NMIG : NPDS Module Installer Generator                               */
/* --------------------------------------                               */
/*                                                                      */
/* Version 1.1 - 13 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Gnrateur de fichier de configuration pour Module-Install 1.1       */
/*                                                                      */
/* Dvelopp par Boris - http://www.lordi-depanneur.com                 */
/*                                                                      */#	N      N  M      M  IIIII     GGG
/* Module-Install est un installeur inspir du programme d'installation */#	NN     N  MM    MM    I     GG   GG
/* d'origine du module Hot-Projet dvelopp par Hotfirenet              */#	N N    N  M M  M M    I    G       G
/*                                                                      */#	N  N   N  M  MM  M    I    G
/************************************************************************/#	N   N  N  M      M    I    G   GGGGGG
/*                                                                      */#	N    N N  M      M    I    G      GG
/* NPDS : Net Portal Dynamic System                                     */#	N     NN  M      M    I     GG   GG
/* ================================                                     */#	N      N  M      M  IIIII     GGG
/*                                                                      */
/* This version name NPDS Copyright (c) 2001 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/

#autodoc $name_module: Nom du module

$name_module = "Videos";


#autodoc $list_fich : Modifications de fichiers: Dans le premier tableau, tapez le nom du fichier
#autodoc et dans le deuxime, A LA MEME POSITION D'INDEX QUE LE PREMIER, tapez le code  insrer dans le fichier.
#autodoc Si le fichier doit tre cr, n'oubliez pas les < ? php et ? > !!! (sans espace!).
#autodoc Synopsis: $list_fich = array(array("nom_fichier1","nom_fichier2"), array("contenu_fchier1","contenu_fichier2"));

$list_fich = array(array("admin/extend-modules.txt"), array("[module]\n	[nom]Videos[/nom]\n  [ModPath]video[/ModPath]\n  [ModStart]admin/admin[/ModStart]\n  [niveau]radminsuper[/niveau]\n  [/module]"));


#autodoc $sql = array(""): Si votre module doit excuter une ou plusieurs requtes SQL, tapez vos requtes ici.
#autodoc Attention! UNE requte par lment de tableau!
#autodoc Synopsis: $sql = array("requte_sql_1","requte_sql_2");

$sql = array("CREATE TABLE IF NOT EXISTS `video` (
  `id` bigint(20) NOT NULL auto_increment,
  `id_cat` int(11) default NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `titre` varchar(500) collate utf8_unicode_ci NOT NULL,
  `pres` longtext collate utf8_unicode_ci NOT NULL,
  `video` varchar(100) collate utf8_unicode_ci NOT NULL,
  `minia` varchar(100) collate utf8_unicode_ci NOT NULL,
  `timestamp` varchar(60) collate utf8_unicode_ci NOT NULL,
  `counter` int(12) NOT NULL,
  `acces` tinyint(1) NOT NULL default '0',
  `en_ligne` tinyint(1) NOT NULL default '0',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",
"CREATE TABLE IF NOT EXISTS `video_cate` (
  `id_cat` mediumint(11) NOT NULL auto_increment,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL default '0',
  `categorie` mediumtext collate utf8_unicode_ci NOT NULL,
  KEY `id` (`id_cat`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",
"CREATE TABLE IF NOT EXISTS `video_com` (
  `id` int(11) NOT NULL auto_increment,
  `id_vid` int(11) NOT NULL default '0',
  `id_cat` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `com` mediumtext collate utf8_unicode_ci NOT NULL,
  `date` varchar(60) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",
"CREATE TABLE IF NOT EXISTS `video_favor` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `id_favoris` int(11) NOT NULL,
  `id_cat` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",
"CREATE TABLE IF NOT EXISTS `video_mbre` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;",
"CREATE TABLE IF NOT EXISTS `video_vot` (
  `id` int(11) NOT NULL auto_increment,
  `id_vid` int(11) NOT NULL default '0',
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `rating` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;");


#autodoc $blocs = array(array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""), array(""))
#autodoc                titre      contenu    membre     groupe     index      rtention  actif      aide       description
#autodoc Configuration des blocs

$blocs = array(array("Vid&eacute;o", "Vid&eacute;o"), array("include#modules/video/bloc/bloc_vid1.php", "include#modules/video/bloc/bloc_vid2.php"), array("0", ), array("", ""), array("1", "1"), array("0", "0"), array("1", "1"), array("Affiche une vid&eacute;o al&eacute;atoire", "Affiche les 10 derni&egrave;res vid&eacute;os"), array("Affiche une vid&eacute;o al&eacute;atoire", "Affiche les 10 derni&egrave;res vid&eacute;os"));


#autodoc $txtdeb : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera au dbut de l'install
#autodoc Si rien n'est mis, le texte par dfaut sera automatiquement affich

$txtdeb = "<div align=\"center\"><font size=\"4\" color=\"#ff0000\"><b><u>Installation du module Vid&eacute;o V1.0</u></b></font><br /></div><br />Faite une sauvegarde de votre site par pr&eacute;caution avant l'installation.<br /><br />Ce module permet de g&eacute;rer votre vid&eacute;oth&egrave;que.<br />";


#autodoc $txtfin : Vous pouvez mettre ici un texte de votre choix avec du html qui s'affichera  la fin de l'install

$txtfin = "<div align=\"center\"><font size=\"4\"><b><u>Votre installation est maintenant <font color=\"#ff0000\">PRESQUE TERMINEE</font></u></b></font><br /></div><br />Copier les fichier install/videombre.conf.php et install/videoadmin.conf.php dans le dossier module/f-manager/users<br />Copier le dossier install/video dans le dossier html de tous vos themes.<br />Copier le fichier /install/video.css dans votre dossier style de votre th&egrave;me.<br /><br />Des m&eacute;ta-mots peuvent &ecirc;tre cr&eacute;&eacute;s, voir le fichier install.<br /><br />Concernant l'upload :<br /><ul><li>Vous devez configurer le fichier modules/upload/upload.conf</li></ul>Penser &eacute;galement aux chmods :<br /><ul><li>Chmod 755 ou 777 aux dossiers.</li><li>Chmod 766 fichiers :</li><ol><li>cache.timings.php</li><li>admin/config.php</li></ol></ul>\n<hr width=\"100%\" size=\"2\" /><div align=\"center\"><font size=\"3\" color=\"#ff0000\"><i><b>Le module vid&eacute;o peut &eacute;galement &ecirc;tre associ&eacute; au module Tag, ce module permet de &quot;tagguer&quot; les vid&eacute;os.</b></i></font><br />\n</div>";


#autodoc $link: Lien sur lequel sera redirig l'utilisateur  la fin de l'install (si laiss vide, redirig sur index.php)
#autodoc N'oubliez pas les '\' si vous utilisez des guillemets !!!

$end_link = "admin.php?op=Extend-Admin-SubModule&ModPath=video&ModStart=admin/admin";
?>