-- Structure de la table `video`
--

CREATE TABLE IF NOT EXISTS `video` (
  `id` bigint(20) NOT NULL auto_increment,
  `id_cat` int(11) default NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `titre` varchar(500) collate utf8_unicode_ci NOT NULL,
  `pres` longtext collate utf8_unicode_ci NOT NULL,
  `video` varchar(100) collate utf8_unicode_ci NOT NULL,
  `minia` varchar(100) collate utf8_unicode_ci NOT NULL,
  `timestamp` varchar(60) collate utf8_unicode_ci NOT NULL,
  `counter` int(12) NOT NULL,
  `acces` tinyint(1) NOT NULL default '0',
  `en_ligne` tinyint(1) NOT NULL default '0',
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video`
--

-- --------------------------------------------------------

--
-- Structure de la table `video_cate`
--

CREATE TABLE IF NOT EXISTS `video_cate` (
  `id_cat` mediumint(11) NOT NULL auto_increment,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL default '0',
  `categorie` mediumtext collate utf8_unicode_ci NOT NULL,
  KEY `id` (`id_cat`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video_cate`
--

-- --------------------------------------------------------

--
-- Structure de la table `video_com`
--

CREATE TABLE IF NOT EXISTS `video_com` (
  `id` int(11) NOT NULL auto_increment,
  `id_vid` int(11) NOT NULL default '0',
  `id_cat` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `com` mediumtext collate utf8_unicode_ci NOT NULL,
  `date` varchar(60) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video_com`
--

-- --------------------------------------------------------

--
-- Structure de la table `video_favor`
--

CREATE TABLE IF NOT EXISTS `video_favor` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `id_favoris` int(11) NOT NULL,
  `id_cat` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video_favor`
--

-- --------------------------------------------------------

--
-- Structure de la table `video_mbre`
--

CREATE TABLE IF NOT EXISTS `video_mbre` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video_mbre`
--

-- --------------------------------------------------------

--
-- Structure de la table `video_vot`
--

CREATE TABLE IF NOT EXISTS `video_vot` (
  `id` int(11) NOT NULL auto_increment,
  `id_vid` int(11) NOT NULL default '0',
  `pseudo` varchar(25) collate utf8_unicode_ci NOT NULL,
  `rating` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0 ;

--
-- Contenu de la table `video_vot`
--
